### Method

# GtkVnc Display set_zoom_level

#### Declaration [src]

    void
    vnc_display_set_zoom_level (
      VncDisplay* obj,
      guint zoom
    )

#### Description [src]

Requests a constant scaling factor to be applied to the remote desktop. The `zoom` value is a percentage in the range 10-400.

If scaling mode is not active, then this results in the remote desktop always being rendered at the requested zoom level.

If scaling mode is active, then the remote desktop will be scaled to fit the widget regardless of the zoom level.

In both cases, when the remote desktop size changes, the widget preferred size will reflect the zoom level.

Sets property | `GtkVnc.Display:zoom-level`

#### Parameters

`zoom`

  Type: `guint`

  The zoom percentage level.